import React from 'react';
import { CodeBlockIcon } from '@sanity/icons';
import CodeInput from './CodeInput';
import PreviewCode from './PreviewCode';
import { getMedia } from './getMedia';
const Preview = (props) => {
    return React.createElement(PreviewCode, { ...props });
};
export default {
    name: 'code',
    type: 'object',
    title: 'Code',
    inputComponent: CodeInput,
    icon: CodeBlockIcon,
    fields: [
        {
            name: 'language',
            title: 'Language',
            type: 'string',
        },
        {
            name: 'filename',
            title: 'Filename',
            type: 'string',
        },
        {
            title: 'Code',
            name: 'code',
            type: 'text',
        },
        {
            title: 'Highlighted lines',
            name: 'highlightedLines',
            type: 'array',
            of: [
                {
                    type: 'number',
                    title: 'Highlighted line',
                },
            ],
        },
    ],
    preview: {
        select: {
            language: 'language',
            code: 'code',
            filename: 'filename',
            highlightedLines: 'highlightedLines',
        },
        prepare: (value) => {
            return {
                title: value.filename || (value.language || 'unknown').toUpperCase(),
                media: getMedia(value?.language),
                extendedPreview: React.createElement(Preview, { value: value }),
            };
        },
    },
};
//# sourceMappingURL=schema.js.map